diff -Nru build-essential-11.4/debian/changelog build-essential-11.5/debian/changelog
--- build-essential-11.4/debian/changelog	2008-07-11 01:06:02.000000000 +0200
+++ build-essential-11.5/debian/changelog	2010-02-02 13:47:58.000000000 +0100
@@ -1,3 +1,12 @@
+build-essential (11.5) unstable; urgency=low
+
+  * Sort essential packages (make-esslist.sh): pipe grep-status into sort
+    so that essential packages lists are sorted (making them, as well as
+    future diffs, easier to read).
+  * Regenerate the essential packages lists, including kfreebsd-*.
+
+ -- Cyril Brulebois <kibi@debian.org>  Tue, 02 Feb 2010 13:42:14 +0100
+
 build-essential (11.4) unstable; urgency=low
 
   * Regenerate the essential packages lists, including armel.
diff -Nru build-essential-11.4/essential-packages-list-alpha build-essential-11.5/essential-packages-list-alpha
--- build-essential-11.4/essential-packages-list-alpha	2008-06-24 01:42:27.000000000 +0200
+++ build-essential-11.5/essential-packages-list-alpha	2010-02-02 13:48:32.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:42:25 UTC 2008 for alpha
+This list was generated on Tue Feb  2 13:48:31 CET 2010 for alpha
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-amd64 build-essential-11.5/essential-packages-list-amd64
--- build-essential-11.4/essential-packages-list-amd64	2008-06-24 01:42:56.000000000 +0200
+++ build-essential-11.5/essential-packages-list-amd64	2010-02-02 13:49:27.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:42:54 UTC 2008 for amd64
+This list was generated on Tue Feb  2 13:49:26 CET 2010 for amd64
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-arm build-essential-11.5/essential-packages-list-arm
--- build-essential-11.4/essential-packages-list-arm	2008-06-24 01:43:18.000000000 +0200
+++ build-essential-11.5/essential-packages-list-arm	2010-02-02 13:49:28.000000000 +0100
@@ -1,27 +1 @@
-This list was generated on Mon Jun 23 23:43:16 UTC 2008 for arm
-It contains a list of essential packages (which are also build-essential).
-
-base-files
-base-passwd
-bash
-bsdutils
-coreutils
-debianutils
-diff
-dpkg
-e2fsprogs
-findutils
-grep
-gzip
-hostname
-login
-mktemp
-mount
-ncurses-base
-ncurses-bin
-perl-base
-sed
-sysvinit
-sysvinit-utils
-tar
-util-linux
+No essential packages list is available for arm in sid
diff -Nru build-essential-11.4/essential-packages-list-armel build-essential-11.5/essential-packages-list-armel
--- build-essential-11.4/essential-packages-list-armel	2008-06-24 01:43:18.000000000 +0200
+++ build-essential-11.5/essential-packages-list-armel	2010-02-02 13:49:47.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:43:16 UTC 2008 for arm
+This list was generated on Tue Feb  2 13:49:46 CET 2010 for armel
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-hppa build-essential-11.5/essential-packages-list-hppa
--- build-essential-11.4/essential-packages-list-hppa	2008-06-24 01:43:46.000000000 +0200
+++ build-essential-11.5/essential-packages-list-hppa	2010-02-02 13:50:00.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:43:44 UTC 2008 for hppa
+This list was generated on Tue Feb  2 13:49:59 CET 2010 for hppa
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-hurd-i386 build-essential-11.5/essential-packages-list-hurd-i386
--- build-essential-11.4/essential-packages-list-hurd-i386	2008-06-24 12:53:39.000000000 +0200
+++ build-essential-11.5/essential-packages-list-hurd-i386	2010-02-02 13:50:18.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:44:00 UTC 2008 for hurd-i386
+This list was generated on Tue Feb  2 13:50:17 CET 2010 for hurd-i386
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,8 +16,6 @@
 gzip
 hostname
 hurd
-hurd-dev
-mktemp
 ncurses-base
 ncurses-bin
 perl-base
diff -Nru build-essential-11.4/essential-packages-list-i386 build-essential-11.5/essential-packages-list-i386
--- build-essential-11.4/essential-packages-list-i386	2008-06-24 01:44:24.000000000 +0200
+++ build-essential-11.5/essential-packages-list-i386	2010-02-02 13:51:15.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:44:22 UTC 2008 for i386
+This list was generated on Tue Feb  2 13:51:14 CET 2010 for i386
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-ia64 build-essential-11.5/essential-packages-list-ia64
--- build-essential-11.4/essential-packages-list-ia64	2008-06-24 01:44:46.000000000 +0200
+++ build-essential-11.5/essential-packages-list-ia64	2010-02-02 13:51:36.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:44:44 UTC 2008 for ia64
+This list was generated on Tue Feb  2 13:51:35 CET 2010 for ia64
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-kfreebsd-amd64 build-essential-11.5/essential-packages-list-kfreebsd-amd64
--- build-essential-11.4/essential-packages-list-kfreebsd-amd64	1970-01-01 01:00:00.000000000 +0100
+++ build-essential-11.5/essential-packages-list-kfreebsd-amd64	2010-02-02 13:51:49.000000000 +0100
@@ -0,0 +1,27 @@
+This list was generated on Tue Feb  2 13:51:48 CET 2010 for kfreebsd-amd64
+It contains a list of essential packages (which are also build-essential).
+
+base-files
+base-passwd
+bash
+bsdutils
+coreutils
+dash
+debianutils
+diffutils
+dpkg
+e2fsprogs
+findutils
+freebsd-utils
+grep
+gzip
+hostname
+login
+ncurses-base
+ncurses-bin
+perl-base
+sed
+sysvinit
+sysvinit-utils
+tar
+util-linux
diff -Nru build-essential-11.4/essential-packages-list-kfreebsd-i386 build-essential-11.5/essential-packages-list-kfreebsd-i386
--- build-essential-11.4/essential-packages-list-kfreebsd-i386	1970-01-01 01:00:00.000000000 +0100
+++ build-essential-11.5/essential-packages-list-kfreebsd-i386	2010-02-02 13:52:01.000000000 +0100
@@ -0,0 +1,27 @@
+This list was generated on Tue Feb  2 13:52:00 CET 2010 for kfreebsd-i386
+It contains a list of essential packages (which are also build-essential).
+
+base-files
+base-passwd
+bash
+bsdutils
+coreutils
+dash
+debianutils
+diffutils
+dpkg
+e2fsprogs
+findutils
+freebsd-utils
+grep
+gzip
+hostname
+login
+ncurses-base
+ncurses-bin
+perl-base
+sed
+sysvinit
+sysvinit-utils
+tar
+util-linux
diff -Nru build-essential-11.4/essential-packages-list-mips build-essential-11.5/essential-packages-list-mips
--- build-essential-11.4/essential-packages-list-mips	2008-06-24 01:45:28.000000000 +0200
+++ build-essential-11.5/essential-packages-list-mips	2010-02-02 13:52:14.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:45:26 UTC 2008 for mips
+This list was generated on Tue Feb  2 13:52:13 CET 2010 for mips
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-mipsel build-essential-11.5/essential-packages-list-mipsel
--- build-essential-11.4/essential-packages-list-mipsel	2008-06-24 01:45:48.000000000 +0200
+++ build-essential-11.5/essential-packages-list-mipsel	2010-02-02 13:53:01.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:45:46 UTC 2008 for mipsel
+This list was generated on Tue Feb  2 13:53:00 CET 2010 for mipsel
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-powerpc build-essential-11.5/essential-packages-list-powerpc
--- build-essential-11.4/essential-packages-list-powerpc	2008-06-24 01:46:10.000000000 +0200
+++ build-essential-11.5/essential-packages-list-powerpc	2010-02-02 13:53:22.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:46:07 UTC 2008 for powerpc
+This list was generated on Tue Feb  2 13:53:20 CET 2010 for powerpc
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-s390 build-essential-11.5/essential-packages-list-s390
--- build-essential-11.4/essential-packages-list-s390	2008-06-24 01:46:31.000000000 +0200
+++ build-essential-11.5/essential-packages-list-s390	2010-02-02 13:53:43.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:46:29 UTC 2008 for s390
+This list was generated on Tue Feb  2 13:53:41 CET 2010 for s390
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/essential-packages-list-sparc build-essential-11.5/essential-packages-list-sparc
--- build-essential-11.4/essential-packages-list-sparc	2008-06-24 01:46:54.000000000 +0200
+++ build-essential-11.5/essential-packages-list-sparc	2010-02-02 13:54:36.000000000 +0100
@@ -1,4 +1,4 @@
-This list was generated on Mon Jun 23 23:46:51 UTC 2008 for sparc
+This list was generated on Tue Feb  2 13:54:35 CET 2010 for sparc
 It contains a list of essential packages (which are also build-essential).
 
 base-files
@@ -6,8 +6,9 @@
 bash
 bsdutils
 coreutils
+dash
 debianutils
-diff
+diffutils
 dpkg
 e2fsprogs
 findutils
@@ -15,7 +16,6 @@
 gzip
 hostname
 login
-mktemp
 mount
 ncurses-base
 ncurses-bin
diff -Nru build-essential-11.4/make-esslist.sh build-essential-11.5/make-esslist.sh
--- build-essential-11.4/make-esslist.sh	2006-07-10 01:31:28.000000000 +0200
+++ build-essential-11.5/make-esslist.sh	2010-02-02 13:45:43.000000000 +0100
@@ -23,7 +23,7 @@
 			'(which are also build-essential).'
 		echo >> $esslist-$arch
 
-		grep-status -FEssential -sPackage -ni yes Packages-$arch \
+		grep-status -FEssential -sPackage -ni yes Packages-$arch | sort \
 			>> $esslist-$arch
 	else
 		echo "No essential packages list is available" \
